package sample;
import static robocode.util.Utils.normalRelativeAngleDegrees;
import robocode.ScannedRobotEvent;
import robocode.Robot;
import robocode.*;
import java.awt.*;

public class RadarRobot extends Robot
{

public void run() {



	setBodyColor(Color.yellow);
	setGunColor(Color.pink);
	setRadarColor(Color.black);
	setBulletColor(Color.red);



	while(true){

		ahead(100);
		turnRadarRight(360);
		back(100);

	}
}


public void onScannedRobot(ScannedRobotEvent e) {
	double absoluteBearing = getHeading() + e.getBearing();
	double bearingFromGun = normalRelativeAngleDegrees(absoluteBearing - getGunHeading());


  if (e.isSentryRobot()==false){
	turnGunRight(bearingFromGun);
	double range = e.getDistance();
	fire(2);
	}


}



}
